#requestStatus > div
{
	display: flex;
	position: relative;
	justify-content: center;
	align-items: center;

	width: 10rem !important;
	height: 10rem;

	margin: auto;
	margin-top: calc(3 * var(--space-huge));

	text-align: center;
	line-height: 8rem;
	font-size: 8rem;

	border-radius: 999rem;
}

#requestStatus > div > span > .statusIcon
{
	position: absolute;

	top: 0;
	left: 0;

	width: 8rem;
	height: 8rem;

	margin: 1rem;

	color: var(--background);
	background-color: var(--primary-muted);
	background-image: url('../../images/status_none.png');
	background-position: center;
	background-repeat: no-repeat;
	background-size: 5rem;

	border: var(--space-small) solid var(--background);
	border-radius: 100%;
}

#requestStatus.pending > div > span > .statusIcon
{
	background-color: var(--primary);
	background-image: url('../../images/status_pending.png');
}
#requestStatus.complete > div > span > .statusIcon
{
	background-color: var(--positive);
	background-image: url('../../images/status_complete.png');
}
#requestStatus.insufficientLiquidity > div > span > .statusIcon
{
	background-color: var(--primary);
	background-image: url('../../images/status_insufficient_liquidity.png');
}
#requestStatus.failed > div > span > .statusIcon
{
	background-color: var(--negative);
	background-image: url('../../images/status_failed.png');
}

#requestStatus > div > span > .statusRing
{
	position: absolute;
	top: 0;
	left: 0;

	width: 10rem;
	height: 10rem;

	border-top: 5rem solid var(--primary-muted);
	border-bottom: 5rem solid var(--primary-muted);
	border-radius: 100%;
}

#requestStatus.pending > div > span > .statusRing
{
	border-top-color: var(--primary-focus);
	border-bottom-color: var(--primary-muted);
}
#requestStatus.complete > div > span > .statusRing
{
	border-top-color: var(--positive);
	border-bottom-color: var(--positive);
}
#requestStatus.insufficientLiquidity > div > span > .statusRing
{
	border-top-color: var(--primary-focus);
	border-bottom-color: var(--primary-muted);
}
#requestStatus.failed > div > span > .statusRing
{
	border-top-color: var(--negative);
	border-bottom-color: var(--negative);
}

#requestAmountReceivedNotice
{
	display: block;

	margin-top: 2em;
	margin-bottom: 1em;

	text-align: center;

	font-weight: bold;
}

#requestInsufficientLiquidityNotice
{
	display: none;

	margin-top: 2em;
	margin-bottom: 1em;

	text-align: center;

	color: var(--negative);
}
